Results 1 to 8 of 8

Thread: MISSING: libgmp3 on Debian Lenny ( ZCS 6.0 )

  1. #1
    Join Date
    Sep 2009
    Location
    Canada
    Posts
    13
    Rep Power
    6

    Default MISSING: libgmp3 on Debian Lenny ( ZCS 6.0 )

    Hello,
    I tried to install ZCS6 on Debian Lenny but I still have an error :
    Code:
    Checking for prerequisites...
         FOUND: NPTL
         FOUND: sudo-1.6.9p17-2
         FOUND: libidn11-1.8+20080606-1
         MISSING: libgmp3
         FOUND: libstdc++6-4.3.2-1.1
    Checking for suggested prerequisites...
    And :
    Code:
    zimbra:/tmp/zcs-6.0.0_GA_1802.DEBIAN5.20090830131422# dpkg -l | grep libgmp
    ii  libgmp3-dev                       2:4.2.2+dfsg-3           Multiprecision arithmetic library developers tools
    ii  libgmp3c2                         2:4.2.2+dfsg-3           Multiprecision arithmetic library
    ii  libgmpxx4ldbl                     2:4.2.2+dfsg-3           Multiprecision arithmetic library (C++ bindings)
    zimbra:/tmp/zcs-6.0.0_GA_1802.DEBIAN5.20090830131422#
    What I'm supposed to install ?

    Thanks !

  2. #2
    Join Date
    Sep 2009
    Location
    Canada
    Posts
    13
    Rep Power
    6

    Default

    Ok I found the problem, there are lot of errors in the install.sh & util/utilfunc.sh :

    Code:
    if [ $PLATFORM = "DEBIAN5" ]; then
          PREREQ_PACKAGES="sudo libidn11 libpcre3 libgmp3 libexpat1 libstdc++6 libstdc++5"
    I changed libgmp3 by libgmp3c2.

    After that the check for Debian require 5.0.2, at the moment we're on the 5.0.3 :

    ( bin/get_plat_tag.sh )
    Code:
    grep "5.0.2" /etc/debian_version > /dev/null 2>&1
    You have to move 5.0.2 to 5.0.3.
    Last edited by Eno; 09-10-2009 at 07:32 AM.

  3. #3
    Join Date
    Aug 2009
    Location
    Denver Colorado
    Posts
    82
    Rep Power
    6

    Cool Guys.. I like Zimbra.. but I gotta tell ya

    anyone interested in working through some installs start to finish and finding / fixing the bugs and making an install guide for newcomers like me..?
    I have spent alot of time the last 2-3 weeks and done several installs and there are things that plain don't work.
    Last edited by mshanley; 09-10-2009 at 08:09 PM.

  4. #4
    Join Date
    Nov 2006
    Location
    UK
    Posts
    8,017
    Rep Power
    24

    Default

    I have performed numerous installations and have not had a issue yet. As long as you check the pre-requisites then you should not hit any issues.

  5. #5
    Join Date
    Aug 2009
    Location
    Denver Colorado
    Posts
    82
    Rep Power
    6

    Default I have read everything i can find and spent hours

    Quote Originally Posted by uxbod View Post
    I have performed numerous installations and have not had a issue yet. As long as you check the pre-requisites then you should not hit any issues.
    This kind of a post is not very helpful.... I am not a NOOB to computers...
    I have 20 years starting with CPM (before DOS) in IT and I have spent most of my time with Windows and Novel platforms.. not because they are better but because that is what my job was and what the companies I was working for were using..

    I have been trying to get familiar with Linux for a little while on my own. I have been running untangle boxes for the last 2 years.

    I realize that Linux is a community and I want to be a part of it.. There are probably alot of you that don't really like people from windows coming here and being demanding..
    I understand it's a culture thing... but understand this.. I am not going away...I have made up my mind to become part of this and if someone can help me with a few things that would be great as I intend to help others as well.

    now back to your response.. If the pre-reqs weren't meant i couldn't install right?
    I am guessing you are doing something that is not documented..? This can easily happen.. even in windows.. when you know what your doing you do it automatically.. but the next person trying to do things is missing steps and has errors or problems.

    I am no stranger to the command line.. (before DOS and Netware background as well as some windows commands.)

    I have done 6+ installs this past 2 weeks, including a new one last night.. (i have multiple machines I can test / work with)

    Each install has the same issues with monitoring and java issues with blocking attachments in the admin GUI..

    I would be glad to send you screenshots if you want to send me an e-mail (can't paste them here)

    If you want to help me figure these out I will post the info as others are having same or similar issues and I'm stuck.. My main server has been running 2 weeks so there is planty of data there.

    monitoring - charts
    message count shows a little
    message volume shows chart
    no info on anti-spam/virus activity
    no data on any of the advanced monitoring

    send me a pm with an e-mail and that way i can send you screen shots - if you would be interested in helping figure this stuff out.. it's happening on new installs
    Last edited by mshanley; 09-11-2009 at 07:08 AM.

  6. #6
    Join Date
    Aug 2009
    Location
    Denver Colorado
    Posts
    82
    Rep Power
    6

    Default no problems... hmm may want to take a look here.. the list is growing


  7. #7
    Join Date
    Sep 2006
    Location
    477 Congress Street | Portland, ME 04101
    Posts
    1,374
    Rep Power
    11

    Default

    According to the Community Edition Release Notes (pages 21/22), Zimbra hasn't tested ZCS 6 on Debian 5, only on Debian 4.

    Zimbra in my experience is a Red Hat shop; there have been numerous annoying, but not show-stopper, "gotchas" like yours with other distros over the years.

    As a SUSE shop, we have our own list gotchas we watch out for when we do installs on SLES. When a new one pops up, we file a bug report.

    Putting aside the reasonableness/appropriateness of Zimbra's distro testing methodology, you clearly have the experience to work through these things yourself, and filing a bug report (or reports!) would be helpful to other Deb users going forward, if only to document the challenges and workarounds.

    Hope that helps,
    Mark

  8. #8
    Join Date
    Aug 2009
    Location
    Denver Colorado
    Posts
    82
    Rep Power
    6

    Smile Zimbra - primarily Redhat shop?

    If that is so, is it best to use CentOs for the least amount of problems..? Anyone want to share their comments?

Similar Threads

  1. [SOLVED] 6.0 GA today?
    By digitaldan in forum Community News
    Replies: 18
    Last Post: 09-04-2009, 09:35 AM
  2. [SOLVED] ZCS 6.0 support for Debian 5.0 lenny
    By deniz in forum Developers
    Replies: 4
    Last Post: 09-03-2009, 11:31 AM
  3. Traslation SVN tree status
    By meikka in forum I18N/L10N - Translations
    Replies: 7
    Last Post: 02-13-2007, 10:13 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •